Package org.optaplanner.benchmark.impl.result

## Class BenchmarkResultIO

- java.lang.Object
- - org.optaplanner.benchmark.impl.result.BenchmarkResultIO

-     public class BenchmarkResultIO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.slf4j.Logger` | `logger` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BenchmarkResultIO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected PlannerBenchmarkResult` | `read​(Reader reader)` |
    `protected PlannerBenchmarkResult` | `readPlannerBenchmarkResult​(File plannerBenchmarkResultFile)` |
    `List<PlannerBenchmarkResult>` | `readPlannerBenchmarkResultList​(File benchmarkDirectory)` |
    `protected void` | `write​(PlannerBenchmarkResult plannerBenchmarkResult, Writer writer)` |
    `void` | `writePlannerBenchmarkResult​(File benchmarkReportDirectory, PlannerBenchmarkResult plannerBenchmarkResult)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

  - ### Constructor Detail

    - #### BenchmarkResultIO

          public BenchmarkResultIO()

  - ### Method Detail

    - #### writePlannerBenchmarkResult

          public void writePlannerBenchmarkResult​(File benchmarkReportDirectory,
                                                  PlannerBenchmarkResult plannerBenchmarkResult)

    - #### readPlannerBenchmarkResultList

          public List<PlannerBenchmarkResult> readPlannerBenchmarkResultList​(File benchmarkDirectory)

    - #### readPlannerBenchmarkResult

          protected PlannerBenchmarkResult readPlannerBenchmarkResult​(File plannerBenchmarkResultFile)

    - #### read

          protected PlannerBenchmarkResult read​(Reader reader)

    - #### write

          protected void write​(PlannerBenchmarkResult plannerBenchmarkResult,
                               Writer writer)